REST APIUser Management Notification

GET

Retrieves the current notification mute settings for the authenticated user.

Header Params

  • request-id string

Responses

200
Mute settings retrieved successfully

Response Body

object

  • userId string required
  • success boolean required
  • message string required
  • mutedEnterpriseIds array of strings
  • mutedWalletIds array of strings
400
Bad request

Response Body

object

Bad request error response
  • name string enum required
    Error code
    ValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    400
500
Unexpected error

Response Body

object

Internal server error response
  • name string enum required
    Error code
    UnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    500